png++: png::streaming_base< pixel, info_holder > Class Template Reference

png++ 0.2.10

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
png::streaming_base< pixel, info_holder > Class Template Reference

A base class template for consumer and generator classes. Provides default `reset()` method implementation as well as `info_holder` policy. More...

`#include <streaming_base.hpp>`

## Public Types
typedef pixel_traits< pixel > | traits

## Public Member Functions
| streaming_base (image_info &info)
| streaming_base (uint_32 width, uint_32 height)
image_info const & | get_info () const

## Protected Member Functions
void | reset (size_t)
image_info & | get_info ()

## Protected Attributes
info_holder | m_info_holder

## Detailed Description

template<typename pixel, class info_holder>
class png::streaming_base< pixel, info_holder >

A base class template for consumer and generator classes. Provides default `reset()` method implementation as well as `info_holder` policy.

## Member Typedef Documentation

## ◆ traits

template<typename pixel, class info_holder>

typedef pixel_traits< pixel > png::streaming_base< pixel, info_holder >::traits

## Constructor & Destructor Documentation

## ◆ streaming_base() [1/2]

template<typename pixel, class info_holder>

png::streaming_base< pixel, info_holder >::streaming_base | ( | image_info & | info | ) |
| inlineexplicit

References m_info_holder.

## ◆ streaming_base() [2/2]

template<typename pixel, class info_holder>

png::streaming_base< pixel, info_holder >::streaming_base | ( | uint_32 | width,
|  | uint_32 | height )
| inline

References get_info(), m_info_holder, png::make_image_info(), png::image_info::set_height(), and png::image_info::set_width().

## Member Function Documentation

## ◆ get_info() [1/2]

template<typename pixel, class info_holder>

image_info const & png::streaming_base< pixel, info_holder >::get_info | ( |  | ) | const
| inline

References m_info_holder.

Referenced by streaming_base().

## ◆ reset()

template<typename pixel, class info_holder>

void png::streaming_base< pixel, info_holder >::reset | ( | size_t |  | ) |
| inlineprotected

## ◆ get_info() [2/2]

template<typename pixel, class info_holder>

image_info & png::streaming_base< pixel, info_holder >::get_info | ( |  | ) |
| inlineprotected

References m_info_holder.

## Member Data Documentation

## ◆ m_info_holder

template<typename pixel, class info_holder>

info_holder png::streaming_base< pixel, info_holder >::m_info_holder
| protected

Referenced by get_info(), get_info(), streaming_base(), and streaming_base().

The documentation for this class was generated from the following file:

- streaming_base.hpp